Subject: [6lowpan] About compressing series of IPv6 Extension Headers

From: Jongsoo Jeong <[email-masked]>
Date: Thu, 22 Apr 2010 10:10:58 +0900

Hi, everyone.

I have a question about compressing series of IPv6 Extension Headers.

+-----+-----+-----+--------------+-------------------------+--------------------+-----
| NHC | NH  | len | uncompressed | Non-encoded ext. header | compressed or
not? | ...
+-----+-----+-----+--------------+-------------------------+--------------------+-----

In my understanding, the Next Header field should be carried in-line when
the next extension header cannot be encoded due to its length (greater than
255), right?

If it is right, a non-encoded extension header is followed. Then, how can I
distinguish whether the followed next header is compressed or not?

Thank you for reading. :)
---
Jongsoo Jeong

---

From: Jonathan Hui <[email-masked]>
Date: Wed, 21 Apr 2010 18:53:33 -0700

Headers encoded by 6lowpan-hc must be contiguous.  In other words,  
once you encounter an uncompressed header, all subsequent headers are  
not encoded by 6lowpan-hc.

--
Jonathan Hui

On Apr 21, 2010, at 6:10 PM, Jongsoo Jeong wrote:

> | NHC | NH  | len | uncompressed | Non-encoded ext. header |  
> compressed or not? | ...
> In my understanding, the Next Header field should be carried in-line  
> when the next extension header cannot be encoded due to its length  
> (greater than 255), right?
>
> If it is right, a non-encoded extension header is followed. Then,  
> how can I distinguish whether the followed next header is compressed  
> or not?
>
> _______________________________________________
> 6lowpan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lowpan

---

From: Youngmin Ji <[email-masked]>
Date: Thu, 22 Apr 2010 10:53:53 +0900

You can distinguish by HC2 encoding field in the HC1 encoding.

Youngmin Ji

On Thu, Apr 22, 2010 at 10:10 AM, Jongsoo Jeong <[email-masked]> wrote:

> If it is right, a non-encoded extension header is followed. Then, how can
> I distinguish whether the followed next header is compressed or not?
>